Package org.h2gis.functions.spatial.edit

# Class ST_Densify

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_Densify

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Densify extends org.h2gis.api.DeterministicScalarFunction
Densifies a geometry using the given distance tolerance.

Author:
  Erwan Bocher
See Also:
  - `Densifier`

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Densify()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`densify(org.locationtech.jts.geom.Geometry geometry, double tolerance)`
Densify a geometry using the given distance tolerance.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Densify

public ST_Densify()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### densify

public static org.locationtech.jts.geom.Geometry densify(org.locationtech.jts.geom.Geometry geometry, double tolerance)
Densify a geometry using the given distance tolerance.

Parameters:
  `geometry` - Geometry
  `tolerance` - Distance tolerance
Returns:
  Densified geometry